import 'package:json_annotation/json_annotation.dart';

part 'intimacy_config_info.g.dart';

@JsonSerializable()
class IntimacyConfigInfo {
  //亲密度列表
  @JsonKey(name: 'intimacy')
  List<IntimacyBean>? intimacy;

  IntimacyConfigInfo(this.intimacy);
  factory IntimacyConfigInfo.fromJson(Map<String, dynamic> json) =>
      _$IntimacyConfigInfoFromJson(json);
  Map<String, dynamic> toJson() => _$IntimacyConfigInfoToJson(this);
}

@JsonSerializable()
class IntimacyBean {
  @JsonKey(name: 'max')
  final int? max;
  @JsonKey(name: 'min')
  final int? min;
  @JsonKey(name: 'name')
  final String? name;
  @JsonKey(name: 'iconUrl')
  final String? iconUrl;

  IntimacyBean(this.max, this.min, this.name, this.iconUrl);


  factory IntimacyBean.fromJson(Map<String, dynamic> json) =>
      _$IntimacyBeanFromJson(json);

  Map<String, dynamic> toJson() => _$IntimacyBeanToJson(this);
}

